summaryrefslogtreecommitdiff
path: root/packaging/ng/build-debian-bookworm.sh
diff options
context:
space:
mode:
Diffstat (limited to 'packaging/ng/build-debian-bookworm.sh')
-rwxr-xr-xpackaging/ng/build-debian-bookworm.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/packaging/ng/build-debian-bookworm.sh b/packaging/ng/build-debian-bookworm.sh
new file mode 100755
index 0000000..c259fe7
--- /dev/null
+++ b/packaging/ng/build-debian-bookworm.sh
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+
+# Build debian packages.
+
+set -eu
+
+DISTRO=debian
+DISTRO_VERNAME=bookworm
+LABEL=$DISTRO-$DISTRO_VERNAME
+
+IMAGE_TAG=taler-packaging-$LABEL:latest
+DOCKERFILE=Dockerfile.$LABEL
+PKGDIR=packages/$LABEL
+
+echo "Building $IMAGE_TAG from $DOCKERFILE"
+
+# Build the base image. Usually fast because it's cached.
+docker build -t $IMAGE_TAG -f $DOCKERFILE .
+
+mkdir -p $PKGDIR
+
+# echo docker run -it --mount type=bind,source="$(pwd)"/buildscripts,target=/buildscripts,readonly --mount type=bind,source="$(pwd)"/$PKGDIR,target=/pkgdir $IMAGE_TAG /bin/bash
+#docker run -it --entrypoint=/bin/bash --mount type=bind,source="$(pwd)"/buildscripts,target=/buildscripts,readonly --mount type=bind,source="$(pwd)"/$PKGDIR,target=/pkgdir $IMAGE_TAG /buildscripts/build-gnunet.sh
+docker run -it --entrypoint=/bin/bash --mount type=bind,source="$(pwd)"/buildscripts,target=/buildscripts,readonly --mount type=bind,source="$(pwd)"/$PKGDIR,target=/pkgdir $IMAGE_TAG /buildscripts/libeufin-build.sh master
+docker run -it --entrypoint=/bin/bash --mount type=bind,source="$(pwd)"/buildscripts,target=/buildscripts,readonly --mount type=bind,source="$(pwd)"/$PKGDIR,target=/pkgdir $IMAGE_TAG /buildscripts/wallet-build.sh master